#ifndef DELAYWDIGET_H
#define DELAYWDIGET_H

#include <QWidget>
#include <QLabel>
#include <QHBoxLayout>
#include <QPushButton>
#include <QPainterPath>

class DelayWdiget : public QWidget
{
    Q_OBJECT
public:
    DelayWdiget();
    ~DelayWdiget();
    QPushButton *close = nullptr;
    QPushButton *delay1 = nullptr;
    QPushButton *delay2 = nullptr;
    QPushButton *delay3 = nullptr;
    QWidget *mainWin = nullptr;
    QHBoxLayout *mainWinLayout = nullptr;
protected:
    void paintEvent(QPaintEvent *event);

Q_SIGNALS:
    void delay_emit(int);

private:
    QHBoxLayout *delayLayout = nullptr;
    int width;
    int height;
    void time0SecSlot();
    void time3SecSlot();
    void time6SecSlot();
    void time9SecSlot();
};

#endif // DELAYWDIGET_H
